@extends ('layouts.template')

@section('content')

    <?php $patients = [1,2,3,4]; ?>

    <div class="p-3 mcp-theme-1">
        <div class="col-12 col-lg-6 px-0">
            <div class="card d-block mb-3" moe="">

                <div class="card-header">
                    <strong>
                        <i class="fas fa-user-plus"></i>
                        New Patient
                    </strong>
                </div>
                <div class="card-body">
                    <form show url="/api/client/create" class="px-3 pt-3 pb-1 primary-form" redir="patients/view/[data]">
                        @if (session('message'))
                            <div class="alert alert-danger">{{ session('message') }}</div>
                        @endif
                        <div class='form-group mb-3'>
                            <label class='control-label'>How is quarantine treating you?</label>
                            <textarea class='form-control' type='text' name='howIsQuarantine'></textarea>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>First Name *</label>
                            <input class='form-control' type='text' name='nameFirst' required>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Last Name *</label>
                            <input class='form-control' type='text' name='nameLast' value='' required>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Sex</label>
                            <select class='form-control' name='sex' value='' >
                                <option value=''>-- Select --</option>
                                <option value='M'>M</option>
                                <option value='F'>F</option>
                            </select>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Date Of Birth *</label>
                            <input class='form-control' type='date' name='dateOfBirth' max="{{ date('Y-m-d') }}" required>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Home Phone Number </label>
                            <input class='form-control' type='tel' name='homeNumber'>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Cell Phone Number </label>
                            <input class='form-control' type='tel' name='cellNumber'>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Email Address </label>
                            <input class='form-control' type='email' name='emailAddress'>
                        </div>
                        <div class='form-group mb-3'>
                            <label class='control-label'>Medicare Number *</label>
                            <input class='form-control' type='text' name='medicareNumber' required>
                        </div>
                    </form>
                </div>
                <div class="card-footer">
                    <button class="btn btn-primary" submit>Create New Patient</button>
                </div>
            </div>
        </div>
    </div>

@endsection
