@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pb-2">
            <h4 class="font-weight-bold m-0">Dx and Focus Areas</h4>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="">Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="dx">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder="ICD"></div>
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Title"></div>
                    <div class="mb-2">
                        <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                            <option value="">Chronic or Acute (select one)</option>
                            <option value="Chronic">Chronic</option>
                            <option value="Acute">Acute</option>
                        </select>
                    </div>
                    <div class="mb-2">
                        <label class="m-0 text-left d-flex align-items-center">
                            <input type="checkbox" name="IsCurrent" value="">
                            <span class="ml-1">Is Current?</span>
                        </label>
                    </div>
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder="Prognosis"></div>
                    <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder="Treatment Goal"></textarea></div>
                    <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder="Treatment Plan"></textarea></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered mb-0">
            <thead>
            <tr>
                <th class="px-2 text-secondary">Title</th>
                <th class="px-2 text-secondary">ICD</th>
                <th class="px-2 text-secondary">Chronic or Acute</th>
                <th class="px-2 text-secondary">Current?</th>
                <th class="px-2 text-secondary">Prognosis</th>
                <th class="px-2 text-secondary">Treatment Goal</th>
                <th class="px-2 text-secondary">Treatment Plan</th>
                <th class="px-2 text-secondary">Created By</th>
                <th class="px-2 text-secondary">Created At</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            <?php
            $currentDxs = new \Illuminate\Support\Collection();
            $previousDxs = new \Illuminate\Support\Collection();
            foreach($dxInfoLines as $line) {
                if(@$line->contentDetail()->{"IsCurrent"}) {
                    $currentDxs->add($line);
                }
                else {
                    $previousDxs->add($line);
                }
            }
            ?>
            @include('app.patient.partials.dx-table-row', ['dxRows' => $currentDxs, 'showCreated' => true])
            @include('app.patient.partials.dx-table-row', ['dxRows' => $previousDxs, 'showCreated' => true])
            </tbody>
        </table>
    </div>
    <script>
        (function() {
            function init() {
                $('input[type="text"][name="ICD"]').each(function() {
                    var elem = this, dynID = 'icd-' + Math.ceil(Math.random() * 1000000);
                    $(elem).attr('id', dynID);
                    new window.Def.Autocompleter.Search(dynID,
                        'https://clinicaltables.nlm.nih.gov/api/icd10cm/v3/search?sf=code,name&ef=name',
                        {
                            tableFormat: true,
                            valueCols: [0],
                            colHeaders: ['Code', 'Name'],
                        }
                    );
                    window.Def.Autocompleter.Event.observeListSelections(dynID, function() {
                        var autocomp = elem.autocomp;
                        var name = autocomp.getSelectedItemData()[0].data['name'];
                        $(elem).closest('form').find('[name="contentText"]').val(name);
                        return false;
                    });
                });
            }
            addMCInitializer('patient-dx-list', init);
        })();
    </script>
@endsection
