<form url="/api/appointment/{{ $appointment ? 'update' : 'create' }}"
      class="mcp-theme-1 add-appt-form"
      {{ $appointment ? 'trigger-reload' : '' }}>
    @if($appointment)
        <input type="hidden" name="uid" value="{{$appointment->uid}}">
    @else
        <input type="hidden" name="clientUid" value="{{$patient->uid}}">
    @endif
    <div class="row mb-3">
        <div class="col-6 pr-2">
            <label class="text-secondary text-sm mb-1">Pro *</label>
            <select name="proUid" class="form-control form-control-sm appointment-pro-select"
                    required>
                <option value=""> --select-- </option>
                @foreach($pros as $iPro)
                    <option value="{{$iPro->uid}}"
                        {{ ($appointment ? ($iPro->uid === $appointment->pro->uid) : ($iPro->uid === $pro->uid)) ? 'selected' : '' }}>
                        {{$iPro->displayName()}}
                    </option>
                @endforeach
            </select>
        </div>
        <div class="col-6 pl-0">
            <label class="text-secondary text-sm mb-1">Timezone *</label>
            <select name="timeZone" class="form-control form-control-sm" {{ $appointment ? ' data-trigger="change"' : '' }} required>
                <option value=""> --select-- </option>
                <option {{ $appointment && $appointment->timezone === 'EASTERN' ? 'selected' : '' }}
                        value="EASTERN">Eastern</option>
                <option {{ $appointment && $appointment->timezone === 'CENTRAL' ? 'selected' : '' }}
                        value="CENTRAL">Central</option>
                <option {{ $appointment && $appointment->timezone === 'MOUNTAIN' ? 'selected' : '' }}
                        value="MOUNTAIN">Mountain</option>
                <option {{ $appointment && $appointment->timezone === 'PACIFIC' ? 'selected' : '' }}
                        value="PACIFIC">Pacific</option>
                <option {{ $appointment && $appointment->timezone === 'ALASKA' ? 'selected' : '' }}
                        value="ALASKA">Alaska</option>
                <option {{ $appointment && $appointment->timezone === 'HAWAII' ? 'selected' : '' }}
                        value="HAWAII">Hawaii</option>
                <option {{ $appointment && $appointment->timezone === 'PUERTO_RICO' ? 'selected' : '' }}
                        value="PUERTO_RICO">Puerto Rico</option>
            </select>
        </div>
    </div>
    <input type="hidden" name="date" min="{{ date('Y-m-d') }}"
           value="{{ $appointment ? date("Y-m-d", strtotime($appointment->raw_date)) : '' }}">
    <input type="hidden" name="startTime" class="form-control form-control-sm"
           value="{{ $appointment ? date("H:i", strtotime($appointment->raw_start_time)) : '' }}">
    <input type="hidden" name="endTime" class="form-control form-control-sm"
           value="{{ $appointment ? date("H:i", strtotime($appointment->raw_end_time)) : '' }}">
    <div class="mb-2 d-flex align-items-start">
        <div class="pro-appointment-calendar disabled flex-grow-0 d-inline-flex justify-content-center"></div>
        <div class="pro-appointment-time-selector pl-2 flex-grow-1 border-left">
            <div class="slot-picker start-time disabled mb-2">
                <table class="table-condensed w-100">
                    <thead>
                    <tr>
                        <th class="prev"></th>
                        <th colspan="4" class="datepicker-switch text-center selected-date pb-1">Start Time</th>
                        <th class="next"></th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="slot" data-start="540" data-end="570">9:00</td>
                        <td class="slot" data-start="570" data-end="600">9:30</td>
                        <td class="slot" data-start="600" data-end="630">10:00</td>
                        <td class="slot" data-start="630" data-end="660">10:30</td>
                        <td class="slot" data-start="660" data-end="690">11:00</td>
                        <td class="slot" data-start="690" data-end="720">11:30</td>
                    </tr>
                    <tr>
                        <td class="slot" data-start="720" data-end="750">12:00</td>
                        <td class="slot" data-start="750" data-end="780">12:30</td>
                        <td class="slot" data-start="780" data-end="810">13:00</td>
                        <td class="slot" data-start="810" data-end="840">13:30</td>
                        <td class="slot" data-start="840" data-end="870">14:00</td>
                        <td class="slot" data-start="870" data-end="900">14:30</td>
                    </tr>
                    <tr>
                        <td class="slot" data-start="900" data-end="930">15:00</td>
                        <td class="slot" data-start="930" data-end="960">15:30</td>
                        <td class="slot" data-start="960" data-end="990">16:00</td>
                        <td class="slot" data-start="990" data-end="1020">16:30</td>
                        <td class="slot" data-start="1020" data-end="1050">17:00</td>
                        <td class="slot" data-start="1050" data-end="1080">17:30</td>
                    </tr>
                </table>
            </div>

            <div class="slot-picker end-time disabled pt-0">
                <table class="table-condensed w-100">
                    <thead>
                    <tr>
                        <th class="prev"></th>
                        <th colspan="4" class="datepicker-switch text-center selected-date pb-1">End Time</th>
                        <th class="next"></th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="slot" data-start="540" data-end="570">9:30</td>
                        <td class="slot" data-start="570" data-end="600">10:00</td>
                        <td class="slot" data-start="600" data-end="630">10:30</td>
                        <td class="slot" data-start="630" data-end="660">11:00</td>
                        <td class="slot" data-start="660" data-end="690">11:30</td>
                        <td class="slot" data-start="690" data-end="720">12:00</td>
                    </tr>
                    <tr>
                        <td class="slot" data-start="720" data-end="750">12:30</td>
                        <td class="slot" data-start="750" data-end="780">13:00</td>
                        <td class="slot" data-start="780" data-end="810">13:30</td>
                        <td class="slot" data-start="810" data-end="840">14:00</td>
                        <td class="slot" data-start="840" data-end="870">14:30</td>
                        <td class="slot" data-start="870" data-end="900">15:00</td>
                    </tr>
                    <tr>
                        <td class="slot" data-start="900" data-end="930">15:30</td>
                        <td class="slot" data-start="930" data-end="960">16:00</td>
                        <td class="slot" data-start="960" data-end="990">16:30</td>
                        <td class="slot" data-start="990" data-end="1020">17:00</td>
                        <td class="slot" data-start="1020" data-end="1050">17:30</td>
                        <td class="slot" data-start="1050" data-end="1080">18:00</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="mb-2">
        <label class="text-secondary text-sm mb-1">Title</label>
        <input type="text" name="title" class="form-control form-control-sm" value="{{ $appointment ? $appointment->title : '' }}">
    </div>
    <div class="mb-2">
        <label class="text-secondary text-sm mb-1">Description</label>
        <textarea name="description" class="form-control form-control-sm">{{ $appointment ? $appointment->description : '' }}</textarea>
    </div>
    <div>
        <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
        <button cancel class="btn btn-sm btn-default border">Cancel</button>
    </div>
</form>
