<div class="mt-0 pb-1">
    <div class="d-flex align-items-center mb-2 pb-2 border-bottom">
        <h6 class="my-0 font-weight-bold text-secondary">Appointments</h6>
        {{--<span class="mx-2 text-secondary">|</span>
        <div moe center>
            <a start show>Add</a>
            @include('app/patient/partials/_appointment-form', ['appointment' => false])
        </div>--}}
        <span class="mx-2 text-secondary">|</span>
        <a href="/patients/view/{{$patient->uid}}/manage-appointment">Add</a> <span class="mx-2 text-secondary">|</span>
        <div class="py-2">
            @if($pro->isWorkingOnClient($patient))
                {{-- stop work on client --}}
                <div moe>
                    <form url="/api/proClientWork/KillRunningWorkForSelf" class="mcp-theme-1" show>
                        <input type="hidden" name="uid" value="{{$patient->uid}}">
                        <div>
                            <button submit class="btn btn-sm btn-warning text-white font-weight-bold small"><i class="fa fa-stop"></i> Work: Stop</button>
                        </div>
                    </form>
                </div>
            @else
                {{-- start work on client --}}
                <div moe>
                    <form url="/api/proClientWork/create" class="mcp-theme-1" show>
                        <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                        <div>
                            <button submit class="btn btn-sm btn-primary text-white font-weight-bold small"><i class="fa fa-play"></i> Work: Start</button>
                        </div>
                    </form>
                </div>
            @endif
        </div>
        <div class="px-2 mr-auto">
            @if($pro->isWorkingOnClient($patient))
                <div class="d-flex align-items-center">
                    @if($patient->active_mcp_request_id)
                        {{-- kill mcp request for client --}}
                        <div moe relative class="ml-3">
                            <a href="" start show class="btn btn-sm btn-danger text-white font-weight-bold small">Kill MCP Request</a>
                            <form url="/api/mcpRequest/kill" class="mcp-theme-1" right>
                                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                                <p>Kill the MCP Request for this patient?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-2">Yes</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @else
                        {{-- create mcp request for client --}}
                        <div moe relative class="ml-3">
                            <a href="" start show class="btn btn-sm btn-primary text-white font-weight-bold small">Create MCP Request</a>
                            <form url="/api/mcpRequest/createAsPro" class="mcp-theme-1" right>
                                <p>Create an MCP Request for this patient?</p>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-2">Yes</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                </div>
            @endif
        </div>
    </div>
    <table class="table table-sm border-0 m-0">
        <tbody>
        @foreach($patient->appointments as $appointment)
            <tr>
                <td class="text-black p-0 border-0 pb-1">
                    <div class="pb-0 d-flex align-items-center">
                        <a class="on-hover-opaque mr-1"
                           href="/patients/view/{{$patient->uid}}/manage-appointment/{{$appointment->uid}}"
                           title="Update">
                            <i class="font-size-11 fa fa-edit text-primary"></i>
                        </a>
                        <span class="mr-1">{{ $appointment->raw_date }}</span>
                        @if($appointment->raw_start_time)
                            <span class="mr-1">{{ friendly_time($appointment->raw_start_time, false) }}</span>
                        @endif
                        @if($appointment->timezone)
                            <span class="text-secondary text-sm mr-1">({{ str_replace("_", " ", $appointment->timezone) }})</span>
                        @endif
                        <span class="mr-1">/</span>
                        <span class="font-weight-bold mr-1">{{$appointment->pro->displayName()}}</span>
                        <div moe>
                            <a href="#" start show class="text-sm">({{ $appointment->status }})</a>
                            <form url="/api/appointment/updateStatus">
                                <input type="hidden" name="uid" value="{{ $appointment->uid }}">
                                <div class="mb-2">
                                    <select class="form-control form-control-sm bg-light" name="status" required>
                                        <option value="">-- select --</option>
                                        <option {{ $appointment->status === 'CREATED' ? 'selected' : '' }} value="CREATED">CREATED</option>
                                        <option {{ $appointment->status === 'CONFIRMED' ? 'selected' : '' }} value="CONFIRMED">CONFIRMED</option>
                                        <option {{ $appointment->status === 'CANCELLED' ? 'selected' : '' }} value="CANCELLED">CANCELLED</option>
                                        <option {{ $appointment->status === 'COMPLETED' ? 'selected' : '' }} value="COMPLETED">COMPLETED</option>
                                        <option {{ $appointment->status === 'ABANDONED' ? 'selected' : '' }} value="ABANDONED">ABANDONED</option>
                                    </select>
                                </div>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-1">Update</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                        <span class="text-sm ml-2">{{ $appointment->title ? $appointment->title : '' }}</span>
                        @if($appointment->title && $appointment->description)<span class="text-secondary mx-1">/</span>@endif
                        <span class="text-sm">{{ $appointment->description ? $appointment->description : '' }}</span>
                    </div>
                </td>
            </tr>
        @endforeach
        @if(!$patient->appointments || count($patient->appointments) === 0)
            <tr>
                <td class="text-secondary p-0 border-0">
                    No appointments
                </td>
            </tr>
        @endif
        </tbody>
    </table>
</div>
<script>
    (function() {
        let selectedStart = false, booked = false;
        function toMinutes(_s, _backTrack) {
            _s = _s.split(':');
            let mins = (+_s[0]) * 60 + +_s[1];
            if(_backTrack) mins -= mins % 30;
            return mins;
        }
        function markBookedSlots(_parent) {
            _parent.find('.slot').removeClass('blocked').removeClass('selected');
            for(let i=0; i<booked.length; i++) {
                let startSlot = false;
                _parent.find('.slot').each(function() {
                    let slot = $(this), slotStart = +slot.attr('data-start');
                    if(booked[i].start === slotStart) {
                        startSlot = slot.addClass('blocked');
                        return false;
                    }
                });
                if(startSlot && startSlot.length) {
                    startSlot = startSlot.next();
                }
                if(startSlot && startSlot.length) {
                    while(+startSlot.attr('data-start') < booked[i].end) {
                        startSlot.addClass('blocked');
                        startSlot = startSlot.next();
                    }
                }
            }
            if(_parent.is('.end-time')) {
                _parent.find('.slot').each(function() {
                    if(+$(this).attr('data-start') < selectedStart) {
                        $(this).addClass('blocked');
                    }
                });
            }
        }
        function initSingleCalendar(_elem) {
            _elem.datepicker({
                format: 'yyyy-mm-dd'
            });
            _elem.on('changeDate', function () {
                console.log(_elem.datepicker('getFormattedDate'));
                let parentForm = $(this).closest('form');
                parentForm.find('[name="date"]').val(_elem.datepicker('getFormattedDate'));
                // parentForm.find('[name="startTime"], [name="endTime"]').val('');
                parentForm.find('.slot-picker.start-time').removeClass('disabled');
                let params = 'proUid={{ $pro->uid }}&' +
                    'timeZone=' + parentForm.find('[name="timeZone"]').val() + '&' +
                    'localDate=' + _elem.datepicker('getFormattedDate');
                $.get('/api/appointment/getBookedTimesForProAndTimezone?' + params, function(_data) {
                    console.log(_data);
                    selectedStart = 0;
                    if(_data.success && _data.data) {
                        booked = _data.data;
                        if(parentForm.is('[trigger-reload]')) {
                            booked = booked.filter(function(_item) {
                                return !(_item.startTime === parentForm.find('[name="startTime"]').val() &&
                                    _item.endTime === parentForm.find('[name="endTime"]').val());
                            });
                        }
                        for(let i=0; i<booked.length; i++) {
                            booked[i].start = toMinutes(booked[i].startTime, true);
                            booked[i].end = toMinutes(booked[i].endTime);
                        }
                        markBookedSlots(parentForm.find('.slot-picker.start-time'), booked);
                        markBookedSlots(parentForm.find('.slot-picker.end-time'), booked);
                        parentForm.find('.slot-picker.end-time').addClass('disabled');

                        // reload stuff!
                        if(parentForm.is('[trigger-reload]')) {
                            parentForm.find('.slot-picker.start-time td.selected').removeClass('selected');
                            parentForm.find('.slot-picker.start-time td').each(function() {
                                let minutes = toMinutes(parentForm.find('[name="startTime"]').val(), true);
                                if(+$(this).attr('data-start') === minutes) {
                                    console.log('Matched: ', $(this).text())
                                    $(this).addClass('selected');
                                    selectedStart = +$(this).attr('data-start');
                                    return false;
                                }
                            });
                            parentForm.find('.slot-picker.end-time td.selected').removeClass('selected');
                            parentForm.find('.slot-picker.end-time td').each(function() {
                                if($(this).text() === parentForm.find('[name="endTime"]').val()) {
                                    $(this).addClass('selected');
                                    return false;
                                }
                            });
                            parentForm.find('.slot-picker.end-time').removeClass('disabled');

                        }
                    }

                }, 'json');
            });
        }
        function initAppointmentCalendar() {
            $('.pro-appointment-calendar').each(function() {
                initSingleCalendar($(this));
            });

            $(document).on('click', '.slot-picker td:not(.blocked)', function() {
                let parentForm = $(this).closest('form');
                $(this).closest('.slot-picker').find('td.selected').removeClass('selected');
                $(this).addClass('selected');
                selectedStart = +$(this).attr('data-start');
                if($(this).closest('.slot-picker').is('.start-time')) {
                    parentForm.find('.slot-picker.end-time td.selected').removeClass('selected');
                    parentForm.find('.slot-picker.end-time').removeClass('disabled');
                    parentForm.find('[name="startTime"]').val($(this).text());
                    markBookedSlots(parentForm.find('.slot-picker.end-time'), booked);
                }
                else {
                    parentForm.find('[name="endTime"]').val($(this).text());
                }
            });

            $(document).on('change', '[name="timeZone"]', function() {
                if(this.value) {
                    $(this).closest('form').find('.pro-appointment-calendar').removeClass('disabled');
                }
                else {
                    $(this).closest('form').find('.pro-appointment-calendar').addClass('disabled');
                }
            });

            $('form[trigger-reload]').each(function() {
                let form = $(this);
                form.find('[name="timeZone"]').trigger('change');
                form.find('.pro-appointment-calendar').datepicker(
                    'setDate',
                    new Date(form.find('[name="date"]').val())
                );
            });
        }
        addMCInitializer('patient-single-appointment-calendar', initAppointmentCalendar);
    })();
</script>
