<?php
$currentDxs = new \Illuminate\Support\Collection();
$previousDxs = new \Illuminate\Support\Collection();
foreach($dxInfoLines as $line) {
    if(@$line->contentDetail()->{"IsCurrent"}) {
        $currentDxs->add($line);
    }
    else {
        $previousDxs->add($line);
    }
}
?>
<div class="pt-3 mb-3">
    <div class="d-flex align-items-center pb-2">
        <h4 class="font-weight-bold m-0">Current Dx / Focus Areas</h4>
        <span class="mx-2 text-secondary">|</span>
        <div moe wide>
            <a start show class="">Add</a>
            <form url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="1">
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >ICD</label>
                    <input type="text" class="form-control form-control-sm" name="ICD" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Title</label>
                    <input type="text" class="form-control form-control-sm" name="contentText" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Chronic or Acute (select one)</label>
                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                        <option value="Chronic">Chronic</option>
                        <option value="Acute">Acute</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Prognosis</label>
                    <input type="text" class="form-control form-control-sm" name="Prognosis" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >History</label>
                    <textarea type="text" class="form-control form-control-sm" name="History" value="""></textarea>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Treatment Goal</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value=""></textarea>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Treatment Plan</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" ></textarea>
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div moe>
            <a start show class="">Multi</a>
            <form url="/api/clientInfoLine/createMultiple">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="1">
                <div class="mb-2">
                    <textarea class="form-control form-control-sm" rows="8" name="contentTexts" value="" placeholder="Dx & Focus Areas *" required></textarea>
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
    <table class="table table-striped table-sm table-bordered mb-0" style="table-layout:fixed">
        <thead>
        <tr>
            <th class="px-2 text-secondary">Title</th>
            <th class="px-2 text-secondary">ICD</th>
            <th class="px-2 text-secondary w-100px">Chr/Act</th>
            <th class="px-2 text-secondary">Prognosis</th>
            <th class="px-2 text-secondary">History</th>
            <th class="px-2 text-secondary">Goal</th>
            <th class="px-2 text-secondary w-25">Plan</th>
            <th class="px-2 text-secondary delete-column">&nbsp;</th>
        </tr>
        </thead>
        <tbody>
        @include('app.patient.partials.dx-table-row', ['dxRows' => $currentDxs])
        </tbody>
    </table>
</div>
<div class="pt-3">
    <div class="d-flex align-items-center pb-2">
        <h4 class="font-weight-bold m-0">PMHx</h4>
        <span class="mx-2 text-secondary">|</span>
        <div moe wide>
            <a start show class="">Add</a>
            <form url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="0">
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">ICD</label>
                    <input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder=""></div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">Title</label>
                    <input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder=""></div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1"></label>
                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                        <option value="">Chronic or Acute (select one)</option>
                        <option value="Chronic">Chronic</option>
                        <option value="Acute">Acute</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">Prognosis</label>
                    <input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder=""></div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">History</label>
                    <textarea type="text" class="form-control form-control-sm" name="History" value="" placeholder=""></textarea></div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">Treatment Goal</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder=""></textarea></div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm mb-1">Treatment Plan</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder=""></textarea></div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div moe>
            <a start show class="">Multi</a>
            <form url="/api/clientInfoLine/createMultiple">
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="1">
                <div class="mb-2">
                    <textarea class="form-control form-control-sm" rows="8" name="contentTexts" value="" placeholder="Dx & Focus Areas *" required></textarea>
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
    <table class="table table-striped table-sm table-bordered mb-0">
        <thead>
        <tr>
            <th class="px-2 text-secondary">Title</th>
            <th class="px-2 text-secondary">ICD</th>
            <th class="px-2 text-secondary w-60px">Chr/Act</th>
            <th class="px-2 text-secondary">Prognosis</th>
            <th class="px-2 text-secondary">History</th>
            <th class="px-2 text-secondary">Goal</th>
            <th class="px-2 text-secondary w-25">Plan</th>
            <th class="px-2 text-secondary delete-column">&nbsp;</th>
        </tr>
        </thead>
        <tbody>
        @include('app.patient.partials.dx-table-row', ['dxRows' => $previousDxs])
        </tbody>
    </table>
</div>
<script>
    (function() {
        function init() {
            $('input[type="text"][name="ICD"]').each(function() {
                var elem = this, dynID = 'icd-' + Math.ceil(Math.random() * 1000000);
                $(elem).attr('id', dynID);
                new window.Def.Autocompleter.Search(dynID,
                    'https://clinicaltables.nlm.nih.gov/api/icd10cm/v3/search?sf=code,name&ef=name',
                    {
                        tableFormat: true,
                        valueCols: [0],
                        colHeaders: ['Code', 'Name'],
                    }
                );
                window.Def.Autocompleter.Event.observeListSelections(dynID, function() {
                    var autocomp = elem.autocomp;
                    var name = autocomp.getSelectedItemData()[0].data['name'];
                    $(elem).closest('form').find('[name="contentText"]').val(name);
                    return false;
                });
            });
        }
        addMCInitializer('patient-dx-list', init);
    })();
</script>
